com.google.web.bindery.autobean.vm

## Class AutoBeanFactorySource

- java.lang.Object
- - com.google.web.bindery.autobean.vm.AutoBeanFactorySource

-     public class AutoBeanFactorySource
      extends java.lang.Object

  Generates JVM-compatible implementations of AutoBeanFactory and AutoBean types.

  This implementation is written assuming that the AutoBeanFactory and associated declarations will validate if compiled and used with the AutoBeanFactoyModel.

  This is experimental, unsupported code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoBeanFactorySource()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <F extends AutoBeanFactory> F` | `create(java.lang.Class<F> clazz)` Create an instance of an AutoBeanFactory.
    `static <T> AutoBean<T>` | `createBean(java.lang.Class<T> clazz, Configuration configuration)` Create an instance of an AutoBean directly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoBeanFactorySource

          public AutoBeanFactorySource()

  - ### Method Detail

    - #### create

          public static <F extends AutoBeanFactory> F create(java.lang.Class<F> clazz)

      Create an instance of an AutoBeanFactory.
      Type Parameters:
        `F` - the factory type
      Parameters:
        `clazz` - the Class representing the factory interface
      Returns:
        an instance of the AutoBeanFactory

    - #### createBean

          public static <T> AutoBean<T> createBean(java.lang.Class<T> clazz,
                                                   Configuration configuration)

      Create an instance of an AutoBean directly.
      Type Parameters:
        `T` - the interface type implemented by the AutoBean
      Parameters:
        `clazz` - the interface type implemented by the AutoBean
      Returns:
        an instance of an AutoBean